Public Class ActualizadorRegistrosMarcarYLeer
    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    Public Function MarcarYLeer(ByVal fecha As String) As DataTable

        Dim resultado As New DataTable()

        Try
            Dim query = $"UPDATE Registros SET EXPORT = 1, fechaExport = GETDATE() WHERE  CONVERT(DATETIME,fechaRegistro,20) <= CONVERT(DATETIME,'{fecha}',20); 
SELECT 
    ISNULL(usuarios.idAlternativo, -Registros.IdUsuario) as idUsuario, 
    Registros.tipoMovimiento,
    Registros.autenticacion,
    Registros.fechaRegistro
FROM Registros INNER JOIN 
usuarios ON usuarios.id = Registros.idUsuario 
WHERE export <> 1 
ORDER BY fechaRegistro"

            resultado = conexion.ObtenerDataTable(query, New List(Of SqlClient.SqlParameter))
        Catch ex As Exception
        End Try

        If IsNothing(resultado) Then resultado = New DataTable()

        Return resultado
    End Function
End Class